
package com.pfc.localiza;

import java.io.IOException;
import java.util.ArrayList;
import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.NameValuePair;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.HttpClient;
import org.apache.http.client.entity.UrlEncodedFormEntity;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.util.EntityUtils;


public class HttpHandler {

  public String post(String posturl,ArrayList<NameValuePair> postvalues){

	  try {
		  
		  HttpClient httpclient = new DefaultHttpClient();
		  //Creamos el objeto de HttpClient que nos permitira conectarnos mediante peticiones http
		  //El objeto HttpPost permite que enviemos una peticion de tipo POST a una URL especificada
		  
		  HttpPost httppost = new HttpPost(posturl);		
		
		  httppost.setEntity(new UrlEncodedFormEntity(postvalues));
		  
          //Enviamos la peticin al server
		  HttpResponse response = httpclient.execute(httppost);
		  
		  //devolvemos la respuesta
		  HttpEntity ent = response.getEntity();
		  String text = EntityUtils.toString(ent);
		  return text;

	  }
	  catch(ClientProtocolException  e) { return " ClientProtocolException error";}
	  catch(IOException   e) { return " IOException error";}

	}
  
  
}