package com.pfc.localiza;

import android.content.BroadcastReceiver;
import android.content.Context;  
import android.content.Intent;  
import android.content.SharedPreferences;

 
public class BootCompletedReceiver extends BroadcastReceiver {
    ReportReceiver reportreceiver = new ReportReceiver();
    
    @Override
    public void onReceive(Context context, Intent intent) {

        if (intent.getAction().equals("android.intent.action.BOOT_COMPLETED"))
        {
            
        	//si la frecuencia de la alarma no es 0, establecemos de nuevo la alarma        	
        	SharedPreferences prefs = context.getSharedPreferences("Localiza_preferences",Context.MODE_PRIVATE);
        	if (prefs.getInt("frecuency_alarm", 0)!=0){
        		
        		reportreceiver.setReportReceiver(context);
        	}
        }
    }
}