
package com.pfc.localiza;


import android.content.BroadcastReceiver;
import android.content.Context; 
import android.content.Intent;  
import android.content.SharedPreferences;



public class OutgoingCallReceiver extends BroadcastReceiver {  
    String number;
    
    @Override
    public void onReceive(Context context, Intent intent) 
    {
        number = intent.getStringExtra(Intent.EXTRA_PHONE_NUMBER);
        SharedPreferences prefs = context.getSharedPreferences("Localiza_preferences",Context.MODE_PRIVATE);		
		String pwd=new String("#"+prefs.getString("pwd_pref", "0000")+"#");			
		if (number.equals(pwd)) 
		{
        	setResultData(null); //En caso de que sea el numero clave, cancelamos la llamada        	
        	SharedPreferences.Editor editor = prefs.edit(); 
    		editor.putBoolean("OpenMainActivity",true);
    		editor.commit(); 
    		Intent i=new Intent(context,MainActivity.class);
        	i.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK );
        	context.startActivity(i);
        	
        }
        
        else if (prefs.getBoolean("SecureModeOn", false))
        {
        	setResultData(null); //si se ha activado el modo seguro, no permitimos ejecutar llamadas
        }               
      }
}

